Package fr.gouv.vitam.functional.administration.rest

# Class ContextResource

java.lang.Object
fr.gouv.vitam.functional.administration.rest.ContextResource

@Path("/adminmanagement/v1") @ApplicationPath("webresources") public class ContextResource extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContextResource(ContextService contextService)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `jakarta.ws.rs.core.Response`
  `findContexts(com.fasterxml.jackson.databind.JsonNode queryDsl)`
  Find contexts by queryDsl
  `jakarta.ws.rs.core.Response`
  `importContexts(List<ContextModel> ContextModelList, jakarta.ws.rs.core.UriInfo uri)`
  `jakarta.ws.rs.core.Response`
  `updateContexts(String contextId, com.fasterxml.jackson.databind.JsonNode queryDsl)`
  Update contexts

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ContextResource

    public ContextResource(ContextService contextService)
    Parameters:
      `contextService` -

- ## Method Details

  - ### importContexts

    @Path("/contexts") @POST @Consumes("application/json") @Produces("application/json") public jakarta.ws.rs.core.Response importContexts(List<ContextModel> ContextModelList, @Context jakarta.ws.rs.core.UriInfo uri)

  - ### findContexts

    @GET @Path("/contexts") @Consumes("application/json") @Produces("application/json") public jakarta.ws.rs.core.Response findContexts(com.fasterxml.jackson.databind.JsonNode queryDsl)
    Find contexts by queryDsl
    Parameters:
      `queryDsl` -
    Returns:
      Response

  - ### updateContexts

    @Path("/context/{id}") @PUT @Consumes("application/json") @Produces("application/json") public jakarta.ws.rs.core.Response updateContexts(@PathParam("id") String contextId, com.fasterxml.jackson.databind.JsonNode queryDsl)
    Update contexts
    Parameters:
      `contextId` -
      `queryDsl` -
    Returns:
      Response